# $Revision: 1.17 $, $Date: 2001/11/26 04:37:13 $
Summary:	Dockable cpu monitor for WindowMaker
Summary(pl):	Dokowalny monitor procesora dla WindowMakera
Name:		wmcpu
Version:	1.3
Release:	1
License:	GPL
Group:		X11/Window Managers/Tools
Group(de):	X11/Fenstermanager/Werkzeuge
Group(pl):	X11/Zarzdcy Okien/Narzdzia
Source0:	http://www.ne.jp/asahi/linux/timecop/software/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
URL:		http://www.ne.jp/asahi/linux/timecop/
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_prefix		/usr/X11R6

%description
wmcpu is a program for WindowMaker Dock which gives a graphical
representation of the info provided by uptime.

%description -l pl
wmcpu jest programem dla Doku WindowMakera, wywietlajcym w formie
graficznej informacje o wykorzystaniu zasobw systemowych.

%prep
%setup -q

%build
%{__make} %{name} \
	CC=%{__cc} \
	CFLAGS="%{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_applnkdir}/DockApplets}

%{__make} DESTDIR=$RPM_BUILD_ROOT install

#install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/DockApplets

gzip -9nf ChangeLog README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/%{name}

#%{_applnkdir}/DockApplets/wmcpu.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wmcpu.spec,v $
Revision 1.17  2001/11/26 04:37:13  kloczek
- fix %install (make %%{_bindir} in $RPM_BUILD_ROOT).

Revision 1.16  2001/11/24 00:56:00  kloczek
- commented install desktop file.

Revision 1.15  2001/11/24 00:40:38  blues
- 1.3
- removed outdated patches
- DESTDIR-style instalation used
- fixes in docs and setup
STBR

Revision 1.14  2001/11/21 02:11:02  blues
- URLs updated
- cosmetics
NOTE: there is new version avaible

Revision 1.13  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.12  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.11  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.10  2000/04/01 11:15:59  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.8  1999/11/27 02:59:14  pius
- added using more rpm macros
- cosmetics

Revision 1.7  1999/09/04 09:44:01  pius
- cosmetics

Revision 1.6  1999/09/04 08:58:28  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.5  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.4  1999/07/12 23:06:19  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May 24 1999 Piotr Czerwiski <pius@pld.org.pl> 
  [1.2-1]
- initial RPM release.
